! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
! 
! Parameter Module File
! 
! Generated by KPP-2.2.3_rs3 symbolic chemistry Kinetics PreProcessor
!       (http://www.cs.vt.edu/~asandu/Software/KPP)
! KPP is distributed under GPL, the general public licence
!       (http://www.gnu.org/copyleft/gpl.html)
! (C) 1995-1997, V. Damian & A. Sandu, CGRER, Univ. Iowa
! (C) 1997-2005, A. Sandu, Michigan Tech, Virginia Tech
!     With important contributions from:
!        M. Damian, Villanova University, USA
!        R. Sander, Max-Planck Institute for Chemistry, Mainz, Germany
! 
! File                 : messy_mecca_kpp_Parameters.f90
! Time                 : Sat Nov 14 16:34:39 2020
! Working directory    : /home/caaba/caaba_3.8m_volc1/mecca
! Equation file        : messy_mecca_kpp.kpp
! Output root filename : messy_mecca_kpp
! 
! ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



MODULE messy_mecca_kpp_Parameters

  USE messy_mecca_kpp_Precision
  PUBLIC
  SAVE


! NSPEC - Number of chemical species
  INTEGER, PARAMETER :: NSPEC = 475 
! NVAR - Number of Variable species
  INTEGER, PARAMETER :: NVAR = 471 
! NVARACT - Number of Active species
  INTEGER, PARAMETER :: NVARACT = 121 
! NFIX - Number of Fixed species
  INTEGER, PARAMETER :: NFIX = 4 
! NREACT - Number of reactions
  INTEGER, PARAMETER :: NREACT = 341 
! NVARST - Starting of variables in conc. vect.
  INTEGER, PARAMETER :: NVARST = 1 
! NFIXST - Starting of fixed in conc. vect.
  INTEGER, PARAMETER :: NFIXST = 472 
! NONZERO - Number of nonzero entries in Jacobian
  INTEGER, PARAMETER :: NONZERO = 1935 
! LU_NONZERO - Number of nonzero entries in LU factoriz. of Jacobian
  INTEGER, PARAMETER :: LU_NONZERO = 2378 
! CNVAR - (NVAR+1) Number of elements in compressed row format
  INTEGER, PARAMETER :: CNVAR = 472 
! NLOOKAT - Number of species to look at
  INTEGER, PARAMETER :: NLOOKAT = 0 
! NMONITOR - Number of species to monitor
  INTEGER, PARAMETER :: NMONITOR = 0 
! NMASS - Number of atoms to check mass balance
  INTEGER, PARAMETER :: NMASS = 1 

! Index declaration for variable species in C and VAR
!   VAR(ind_spc) = C(ind_spc)

  INTEGER, PARAMETER :: ind_CH2OOA = 1 
  INTEGER, PARAMETER :: ind_CH2I2 = 2 
  INTEGER, PARAMETER :: ind_CH2ClI = 3 
  INTEGER, PARAMETER :: ind_Nap_a01 = 4 
  INTEGER, PARAMETER :: ind_N2O = 5 
  INTEGER, PARAMETER :: ind_LCARBON = 6 
  INTEGER, PARAMETER :: ind_LCHLORINE = 7 
  INTEGER, PARAMETER :: ind_HIO3 = 8 
  INTEGER, PARAMETER :: ind_IPART = 9 
  INTEGER, PARAMETER :: ind_I2_a01 = 10 
  INTEGER, PARAMETER :: ind_IO3m_a01 = 11 
  INTEGER, PARAMETER :: ind_CH3SO3m_a01 = 12 
  INTEGER, PARAMETER :: ind_D1O_a01 = 13 
  INTEGER, PARAMETER :: ind_RRG1000 = 14 
  INTEGER, PARAMETER :: ind_RRG1001 = 15 
  INTEGER, PARAMETER :: ind_RRG2100 = 16 
  INTEGER, PARAMETER :: ind_RRG2104 = 17 
  INTEGER, PARAMETER :: ind_RRG2105 = 18 
  INTEGER, PARAMETER :: ind_RRG2107 = 19 
  INTEGER, PARAMETER :: ind_RRG2109 = 20 
  INTEGER, PARAMETER :: ind_RRG2110 = 21 
  INTEGER, PARAMETER :: ind_RRG2111 = 22 
  INTEGER, PARAMETER :: ind_RRG2112 = 23 
  INTEGER, PARAMETER :: ind_RRG2117 = 24 
  INTEGER, PARAMETER :: ind_RRG2118 = 25 
  INTEGER, PARAMETER :: ind_RRG3101 = 26 
  INTEGER, PARAMETER :: ind_RRG3103 = 27 
  INTEGER, PARAMETER :: ind_RRG3106 = 28 
  INTEGER, PARAMETER :: ind_RRG3108 = 29 
  INTEGER, PARAMETER :: ind_RRG3109 = 30 
  INTEGER, PARAMETER :: ind_RRG3110 = 31 
  INTEGER, PARAMETER :: ind_RRG3200 = 32 
  INTEGER, PARAMETER :: ind_RRG3201 = 33 
  INTEGER, PARAMETER :: ind_RRG3202 = 34 
  INTEGER, PARAMETER :: ind_RRG3203 = 35 
  INTEGER, PARAMETER :: ind_RRG3204 = 36 
  INTEGER, PARAMETER :: ind_RRG3205 = 37 
  INTEGER, PARAMETER :: ind_RRG3206 = 38 
  INTEGER, PARAMETER :: ind_RRG3207 = 39 
  INTEGER, PARAMETER :: ind_RRG3208 = 40 
  INTEGER, PARAMETER :: ind_RRG3209 = 41 
  INTEGER, PARAMETER :: ind_RRG3210 = 42 
  INTEGER, PARAMETER :: ind_RRG3211 = 43 
  INTEGER, PARAMETER :: ind_RRG3212 = 44 
  INTEGER, PARAMETER :: ind_RRG3213 = 45 
  INTEGER, PARAMETER :: ind_RRG3214 = 46 
  INTEGER, PARAMETER :: ind_RRG3215 = 47 
  INTEGER, PARAMETER :: ind_RRG3216 = 48 
  INTEGER, PARAMETER :: ind_RRG3217 = 49 
  INTEGER, PARAMETER :: ind_RRG3218 = 50 
  INTEGER, PARAMETER :: ind_RRG3219 = 51 
  INTEGER, PARAMETER :: ind_RRG3220 = 52 
  INTEGER, PARAMETER :: ind_RRG3221 = 53 
  INTEGER, PARAMETER :: ind_RRG3222 = 54 
  INTEGER, PARAMETER :: ind_RRG3223 = 55 
  INTEGER, PARAMETER :: ind_RRG3224 = 56 
  INTEGER, PARAMETER :: ind_RRG4101 = 57 
  INTEGER, PARAMETER :: ind_RRG4102 = 58 
  INTEGER, PARAMETER :: ind_RRG4103a = 59 
  INTEGER, PARAMETER :: ind_RRG4103b = 60 
  INTEGER, PARAMETER :: ind_RRG4104a = 61 
  INTEGER, PARAMETER :: ind_RRG4104b = 62 
  INTEGER, PARAMETER :: ind_RRG4105 = 63 
  INTEGER, PARAMETER :: ind_RRG4106a = 64 
  INTEGER, PARAMETER :: ind_RRG4106b = 65 
  INTEGER, PARAMETER :: ind_RRG4107 = 66 
  INTEGER, PARAMETER :: ind_RRG4108 = 67 
  INTEGER, PARAMETER :: ind_RRG4109 = 68 
  INTEGER, PARAMETER :: ind_RRG4110 = 69 
  INTEGER, PARAMETER :: ind_RRG4111 = 70 
  INTEGER, PARAMETER :: ind_RRG4114 = 71 
  INTEGER, PARAMETER :: ind_RRG4115 = 72 
  INTEGER, PARAMETER :: ind_RRG4116 = 73 
  INTEGER, PARAMETER :: ind_RRG4117 = 74 
  INTEGER, PARAMETER :: ind_RRG4118 = 75 
  INTEGER, PARAMETER :: ind_RRG4119a = 76 
  INTEGER, PARAMETER :: ind_RRG4119b = 77 
  INTEGER, PARAMETER :: ind_RRG4120a = 78 
  INTEGER, PARAMETER :: ind_RRG4120b = 79 
  INTEGER, PARAMETER :: ind_RRG4121 = 80 
  INTEGER, PARAMETER :: ind_RRG4122 = 81 
  INTEGER, PARAMETER :: ind_RRG4123 = 82 
  INTEGER, PARAMETER :: ind_RRG4124 = 83 
  INTEGER, PARAMETER :: ind_RRG4125 = 84 
  INTEGER, PARAMETER :: ind_RRG4126 = 85 
  INTEGER, PARAMETER :: ind_RRG4127 = 86 
  INTEGER, PARAMETER :: ind_RRG4129a = 87 
  INTEGER, PARAMETER :: ind_RRG4129b = 88 
  INTEGER, PARAMETER :: ind_RRG4130a = 89 
  INTEGER, PARAMETER :: ind_RRG4130b = 90 
  INTEGER, PARAMETER :: ind_RRG4132 = 91 
  INTEGER, PARAMETER :: ind_RRG4133 = 92 
  INTEGER, PARAMETER :: ind_RRG4134 = 93 
  INTEGER, PARAMETER :: ind_RRG4135 = 94 
  INTEGER, PARAMETER :: ind_RRG4136 = 95 
  INTEGER, PARAMETER :: ind_RRG4137 = 96 
  INTEGER, PARAMETER :: ind_RRG4138 = 97 
  INTEGER, PARAMETER :: ind_RRG4140 = 98 
  INTEGER, PARAMETER :: ind_RRG4141 = 99 
  INTEGER, PARAMETER :: ind_RRG4142 = 100 
  INTEGER, PARAMETER :: ind_RRG4143 = 101 
  INTEGER, PARAMETER :: ind_RRG4144 = 102 
  INTEGER, PARAMETER :: ind_RRG4145 = 103 
  INTEGER, PARAMETER :: ind_RRG4146 = 104 
  INTEGER, PARAMETER :: ind_RRG4147 = 105 
  INTEGER, PARAMETER :: ind_RRG4148 = 106 
  INTEGER, PARAMETER :: ind_RRG4149 = 107 
  INTEGER, PARAMETER :: ind_RRG4150 = 108 
  INTEGER, PARAMETER :: ind_RRG4151 = 109 
  INTEGER, PARAMETER :: ind_RRG4152 = 110 
  INTEGER, PARAMETER :: ind_RRG4153 = 111 
  INTEGER, PARAMETER :: ind_RRG4154 = 112 
  INTEGER, PARAMETER :: ind_RRG4155 = 113 
  INTEGER, PARAMETER :: ind_RRG4156 = 114 
  INTEGER, PARAMETER :: ind_RRG4157 = 115 
  INTEGER, PARAMETER :: ind_RRG4158 = 116 
  INTEGER, PARAMETER :: ind_RRG4159 = 117 
  INTEGER, PARAMETER :: ind_RRG4160a = 118 
  INTEGER, PARAMETER :: ind_RRG4160b = 119 
  INTEGER, PARAMETER :: ind_RRG4160c = 120 
  INTEGER, PARAMETER :: ind_RRG4161 = 121 
  INTEGER, PARAMETER :: ind_RRG4162 = 122 
  INTEGER, PARAMETER :: ind_RRG4163 = 123 
  INTEGER, PARAMETER :: ind_RRG4164 = 124 
  INTEGER, PARAMETER :: ind_RRG6100 = 125 
  INTEGER, PARAMETER :: ind_RRG6102a = 126 
  INTEGER, PARAMETER :: ind_RRG6102b = 127 
  INTEGER, PARAMETER :: ind_RRG6102c = 128 
  INTEGER, PARAMETER :: ind_RRG6102d = 129 
  INTEGER, PARAMETER :: ind_RRG6103 = 130 
  INTEGER, PARAMETER :: ind_RRG6202 = 131 
  INTEGER, PARAMETER :: ind_RRG6204 = 132 
  INTEGER, PARAMETER :: ind_RRG6205 = 133 
  INTEGER, PARAMETER :: ind_RRG6300 = 134 
  INTEGER, PARAMETER :: ind_RRG6301 = 135 
  INTEGER, PARAMETER :: ind_RRG6302 = 136 
  INTEGER, PARAMETER :: ind_RRG6304 = 137 
  INTEGER, PARAMETER :: ind_RRG6400 = 138 
  INTEGER, PARAMETER :: ind_RRG6401 = 139 
  INTEGER, PARAMETER :: ind_RRG6402 = 140 
  INTEGER, PARAMETER :: ind_RRG6403 = 141 
  INTEGER, PARAMETER :: ind_RRG6413 = 142 
  INTEGER, PARAMETER :: ind_RRG6414 = 143 
  INTEGER, PARAMETER :: ind_RRG6415 = 144 
  INTEGER, PARAMETER :: ind_RRG7100 = 145 
  INTEGER, PARAMETER :: ind_RRG7102a = 146 
  INTEGER, PARAMETER :: ind_RRG7102b = 147 
  INTEGER, PARAMETER :: ind_RRG7200 = 148 
  INTEGER, PARAMETER :: ind_RRG7201 = 149 
  INTEGER, PARAMETER :: ind_RRG7202 = 150 
  INTEGER, PARAMETER :: ind_RRG7204 = 151 
  INTEGER, PARAMETER :: ind_RRG7300 = 152 
  INTEGER, PARAMETER :: ind_RRG7301 = 153 
  INTEGER, PARAMETER :: ind_RRG7302 = 154 
  INTEGER, PARAMETER :: ind_RRG7303 = 155 
  INTEGER, PARAMETER :: ind_RRG7400 = 156 
  INTEGER, PARAMETER :: ind_RRG7401 = 157 
  INTEGER, PARAMETER :: ind_RRG7402 = 158 
  INTEGER, PARAMETER :: ind_RRG7403 = 159 
  INTEGER, PARAMETER :: ind_RRG7407 = 160 
  INTEGER, PARAMETER :: ind_RRG7408 = 161 
  INTEGER, PARAMETER :: ind_RRG7600 = 162 
  INTEGER, PARAMETER :: ind_RRG7601 = 163 
  INTEGER, PARAMETER :: ind_RRG7602 = 164 
  INTEGER, PARAMETER :: ind_RRG7603a = 165 
  INTEGER, PARAMETER :: ind_RRG7603b = 166 
  INTEGER, PARAMETER :: ind_RRG7603c = 167 
  INTEGER, PARAMETER :: ind_RRG7604 = 168 
  INTEGER, PARAMETER :: ind_RRG7605 = 169 
  INTEGER, PARAMETER :: ind_RRG7606 = 170 
  INTEGER, PARAMETER :: ind_RRG7607 = 171 
  INTEGER, PARAMETER :: ind_RRG8100 = 172 
  INTEGER, PARAMETER :: ind_RRG8102 = 173 
  INTEGER, PARAMETER :: ind_RRG8103 = 174 
  INTEGER, PARAMETER :: ind_RRG8200 = 175 
  INTEGER, PARAMETER :: ind_RRG8201 = 176 
  INTEGER, PARAMETER :: ind_RRG8202 = 177 
  INTEGER, PARAMETER :: ind_RRG8203 = 178 
  INTEGER, PARAMETER :: ind_RRG8204 = 179 
  INTEGER, PARAMETER :: ind_RRG8300 = 180 
  INTEGER, PARAMETER :: ind_RRG8301 = 181 
  INTEGER, PARAMETER :: ind_RRG8302 = 182 
  INTEGER, PARAMETER :: ind_RRG8303 = 183 
  INTEGER, PARAMETER :: ind_RRG8304 = 184 
  INTEGER, PARAMETER :: ind_RRG8305 = 185 
  INTEGER, PARAMETER :: ind_RRG8306 = 186 
  INTEGER, PARAMETER :: ind_RRG8307 = 187 
  INTEGER, PARAMETER :: ind_RRG8308 = 188 
  INTEGER, PARAMETER :: ind_RRG8401 = 189 
  INTEGER, PARAMETER :: ind_RRG8402 = 190 
  INTEGER, PARAMETER :: ind_RRG8600 = 191 
  INTEGER, PARAMETER :: ind_RRG8700 = 192 
  INTEGER, PARAMETER :: ind_RRG8701 = 193 
  INTEGER, PARAMETER :: ind_RRG9200 = 194 
  INTEGER, PARAMETER :: ind_RRG9403 = 195 
  INTEGER, PARAMETER :: ind_RRG9404 = 196 
  INTEGER, PARAMETER :: ind_RRG9405 = 197 
  INTEGER, PARAMETER :: ind_RRG9408 = 198 
  INTEGER, PARAMETER :: ind_RRJ1000a = 199 
  INTEGER, PARAMETER :: ind_RRJ1001a = 200 
  INTEGER, PARAMETER :: ind_RRJ1001b = 201 
  INTEGER, PARAMETER :: ind_RRJ2101 = 202 
  INTEGER, PARAMETER :: ind_RRJ3101 = 203 
  INTEGER, PARAMETER :: ind_RRJ3103a = 204 
  INTEGER, PARAMETER :: ind_RRJ3103b = 205 
  INTEGER, PARAMETER :: ind_RRJ3104 = 206 
  INTEGER, PARAMETER :: ind_RRJ3200 = 207 
  INTEGER, PARAMETER :: ind_RRJ3201 = 208 
  INTEGER, PARAMETER :: ind_RRJ3202 = 209 
  INTEGER, PARAMETER :: ind_RRJ41000 = 210 
  INTEGER, PARAMETER :: ind_RRJ41001a = 211 
  INTEGER, PARAMETER :: ind_RRJ41001b = 212 
  INTEGER, PARAMETER :: ind_RRJ41004 = 213 
  INTEGER, PARAMETER :: ind_RRJ41005 = 214 
  INTEGER, PARAMETER :: ind_RRJ41006 = 215 
  INTEGER, PARAMETER :: ind_RRJ41007 = 216 
  INTEGER, PARAMETER :: ind_RRJ41008 = 217 
  INTEGER, PARAMETER :: ind_RRJ41009 = 218 
  INTEGER, PARAMETER :: ind_RRJ41010 = 219 
  INTEGER, PARAMETER :: ind_RRJ6000 = 220 
  INTEGER, PARAMETER :: ind_RRJ6100 = 221 
  INTEGER, PARAMETER :: ind_RRJ6101 = 222 
  INTEGER, PARAMETER :: ind_RRJ6201 = 223 
  INTEGER, PARAMETER :: ind_RRJ6300 = 224 
  INTEGER, PARAMETER :: ind_RRJ6301a = 225 
  INTEGER, PARAMETER :: ind_RRJ6301b = 226 
  INTEGER, PARAMETER :: ind_RRJ7000 = 227 
  INTEGER, PARAMETER :: ind_RRJ7100 = 228 
  INTEGER, PARAMETER :: ind_RRJ7200 = 229 
  INTEGER, PARAMETER :: ind_RRJ7300 = 230 
  INTEGER, PARAMETER :: ind_RRJ7301 = 231 
  INTEGER, PARAMETER :: ind_RRJ7401 = 232 
  INTEGER, PARAMETER :: ind_RRJ7402 = 233 
  INTEGER, PARAMETER :: ind_RRJ7600 = 234 
  INTEGER, PARAMETER :: ind_RRJ7602 = 235 
  INTEGER, PARAMETER :: ind_RRJ7603 = 236 
  INTEGER, PARAMETER :: ind_RRJ7604 = 237 
  INTEGER, PARAMETER :: ind_RRJ8000 = 238 
  INTEGER, PARAMETER :: ind_RRJ8100 = 239 
  INTEGER, PARAMETER :: ind_RRJ8200 = 240 
  INTEGER, PARAMETER :: ind_RRJ8300 = 241 
  INTEGER, PARAMETER :: ind_RRJ8301 = 242 
  INTEGER, PARAMETER :: ind_RRJ8400 = 243 
  INTEGER, PARAMETER :: ind_RRJ8401 = 244 
  INTEGER, PARAMETER :: ind_RRJ8403 = 245 
  INTEGER, PARAMETER :: ind_RRJ8600 = 246 
  INTEGER, PARAMETER :: ind_RRJ8700 = 247 
  INTEGER, PARAMETER :: ind_RRA6204_a01 = 248 
  INTEGER, PARAMETER :: ind_RRA6208_a01 = 249 
  INTEGER, PARAMETER :: ind_RRA7202_a01 = 250 
  INTEGER, PARAMETER :: ind_RRA7208_a01 = 251 
  INTEGER, PARAMETER :: ind_RRA7602_a01 = 252 
  INTEGER, PARAMETER :: ind_RRA7603_a01 = 253 
  INTEGER, PARAMETER :: ind_RRA7604_a01 = 254 
  INTEGER, PARAMETER :: ind_RRA8100_a01 = 255 
  INTEGER, PARAMETER :: ind_RRA8101_a01 = 256 
  INTEGER, PARAMETER :: ind_RRA8200_a01 = 257 
  INTEGER, PARAMETER :: ind_RRA8202_a01 = 258 
  INTEGER, PARAMETER :: ind_RRA8203_a01 = 259 
  INTEGER, PARAMETER :: ind_RRA8600_a01 = 260 
  INTEGER, PARAMETER :: ind_RRA8601_a01 = 261 
  INTEGER, PARAMETER :: ind_RRA8603_a01 = 262 
  INTEGER, PARAMETER :: ind_RRA8700_a01 = 263 
  INTEGER, PARAMETER :: ind_RRA8701_a01 = 264 
  INTEGER, PARAMETER :: ind_RRA8703_a01 = 265 
  INTEGER, PARAMETER :: ind_RRA9101_a01 = 266 
  INTEGER, PARAMETER :: ind_RRA9206_a01 = 267 
  INTEGER, PARAMETER :: ind_RRA9209_a01 = 268 
  INTEGER, PARAMETER :: ind_RRA9601_a01 = 269 
  INTEGER, PARAMETER :: ind_RRA9605_a01 = 270 
  INTEGER, PARAMETER :: ind_RRA9702_a01 = 271 
  INTEGER, PARAMETER :: ind_RRA9705_a01 = 272 
  INTEGER, PARAMETER :: ind_RRH1001f_a01 = 273 
  INTEGER, PARAMETER :: ind_RRH1001b_a01 = 274 
  INTEGER, PARAMETER :: ind_RRH2102f_a01 = 275 
  INTEGER, PARAMETER :: ind_RRH2102b_a01 = 276 
  INTEGER, PARAMETER :: ind_RRH3200f_a01 = 277 
  INTEGER, PARAMETER :: ind_RRH3200b_a01 = 278 
  INTEGER, PARAMETER :: ind_RRH3201_a01 = 279 
  INTEGER, PARAMETER :: ind_RRH3203f_a01 = 280 
  INTEGER, PARAMETER :: ind_RRH3203b_a01 = 281 
  INTEGER, PARAMETER :: ind_RRH4100f_a01 = 282 
  INTEGER, PARAMETER :: ind_RRH4100b_a01 = 283 
  INTEGER, PARAMETER :: ind_RRH6000f_a01 = 284 
  INTEGER, PARAMETER :: ind_RRH6000b_a01 = 285 
  INTEGER, PARAMETER :: ind_RRH6200f_a01 = 286 
  INTEGER, PARAMETER :: ind_RRH6200b_a01 = 287 
  INTEGER, PARAMETER :: ind_RRH6201f_a01 = 288 
  INTEGER, PARAMETER :: ind_RRH6201b_a01 = 289 
  INTEGER, PARAMETER :: ind_RRH6300_a01 = 290 
  INTEGER, PARAMETER :: ind_RRH6301_a01 = 291 
  INTEGER, PARAMETER :: ind_RRH6302_a01 = 292 
  INTEGER, PARAMETER :: ind_RRH7000f_a01 = 293 
  INTEGER, PARAMETER :: ind_RRH7000b_a01 = 294 
  INTEGER, PARAMETER :: ind_RRH7200f_a01 = 295 
  INTEGER, PARAMETER :: ind_RRH7200b_a01 = 296 
  INTEGER, PARAMETER :: ind_RRH7201f_a01 = 297 
  INTEGER, PARAMETER :: ind_RRH7201b_a01 = 298 
  INTEGER, PARAMETER :: ind_RRH7300_a01 = 299 
  INTEGER, PARAMETER :: ind_RRH7301_a01 = 300 
  INTEGER, PARAMETER :: ind_RRH7302_a01 = 301 
  INTEGER, PARAMETER :: ind_RRH7600f_a01 = 302 
  INTEGER, PARAMETER :: ind_RRH7600b_a01 = 303 
  INTEGER, PARAMETER :: ind_RRH7601_a01 = 304 
  INTEGER, PARAMETER :: ind_RRH7602_a01 = 305 
  INTEGER, PARAMETER :: ind_RRH8100f_a01 = 306 
  INTEGER, PARAMETER :: ind_RRH8100b_a01 = 307 
  INTEGER, PARAMETER :: ind_RRH8200f_a01 = 308 
  INTEGER, PARAMETER :: ind_RRH8200b_a01 = 309 
  INTEGER, PARAMETER :: ind_RRH8201_a01 = 310 
  INTEGER, PARAMETER :: ind_RRH8301_a01 = 311 
  INTEGER, PARAMETER :: ind_RRH8600f_a01 = 312 
  INTEGER, PARAMETER :: ind_RRH8600b_a01 = 313 
  INTEGER, PARAMETER :: ind_RRH8700f_a01 = 314 
  INTEGER, PARAMETER :: ind_RRH8700b_a01 = 315 
  INTEGER, PARAMETER :: ind_RRH9100f_a01 = 316 
  INTEGER, PARAMETER :: ind_RRH9100b_a01 = 317 
  INTEGER, PARAMETER :: ind_RRH9200_a01 = 318 
  INTEGER, PARAMETER :: ind_RRH9401_a01 = 319 
  INTEGER, PARAMETER :: ind_RREQ21f_a01 = 320 
  INTEGER, PARAMETER :: ind_RREQ21b_a01 = 321 
  INTEGER, PARAMETER :: ind_RREQ30f_a01 = 322 
  INTEGER, PARAMETER :: ind_RREQ30b_a01 = 323 
  INTEGER, PARAMETER :: ind_RREQ32f_a01 = 324 
  INTEGER, PARAMETER :: ind_RREQ32b_a01 = 325 
  INTEGER, PARAMETER :: ind_RREQ40f_a01 = 326 
  INTEGER, PARAMETER :: ind_RREQ40b_a01 = 327 
  INTEGER, PARAMETER :: ind_RREQ61f_a01 = 328 
  INTEGER, PARAMETER :: ind_RREQ61b_a01 = 329 
  INTEGER, PARAMETER :: ind_RREQ71f_a01 = 330 
  INTEGER, PARAMETER :: ind_RREQ71b_a01 = 331 
  INTEGER, PARAMETER :: ind_RREQ73f_a01 = 332 
  INTEGER, PARAMETER :: ind_RREQ73b_a01 = 333 
  INTEGER, PARAMETER :: ind_RREQ74f_a01 = 334 
  INTEGER, PARAMETER :: ind_RREQ74b_a01 = 335 
  INTEGER, PARAMETER :: ind_RREQ75f_a01 = 336 
  INTEGER, PARAMETER :: ind_RREQ75b_a01 = 337 
  INTEGER, PARAMETER :: ind_RREQ76f_a01 = 338 
  INTEGER, PARAMETER :: ind_RREQ76b_a01 = 339 
  INTEGER, PARAMETER :: ind_RREQ80f_a01 = 340 
  INTEGER, PARAMETER :: ind_RREQ80b_a01 = 341 
  INTEGER, PARAMETER :: ind_RREQ81f_a01 = 342 
  INTEGER, PARAMETER :: ind_RREQ81b_a01 = 343 
  INTEGER, PARAMETER :: ind_RREQ82f_a01 = 344 
  INTEGER, PARAMETER :: ind_RREQ82b_a01 = 345 
  INTEGER, PARAMETER :: ind_RREQ90f_a01 = 346 
  INTEGER, PARAMETER :: ind_RREQ90b_a01 = 347 
  INTEGER, PARAMETER :: ind_RREQ91f_a01 = 348 
  INTEGER, PARAMETER :: ind_RREQ91b_a01 = 349 
  INTEGER, PARAMETER :: ind_RREQ92f_a01 = 350 
  INTEGER, PARAMETER :: ind_RREQ92b_a01 = 351 
  INTEGER, PARAMETER :: ind_RREQ93f_a01 = 352 
  INTEGER, PARAMETER :: ind_RREQ93b_a01 = 353 
  INTEGER, PARAMETER :: ind_RRD05_a01 = 354 
  INTEGER, PARAMETER :: ind_Cl2O2 = 355 
  INTEGER, PARAMETER :: ind_CH3SO3H = 356 
  INTEGER, PARAMETER :: ind_CH3Br = 357 
  INTEGER, PARAMETER :: ind_CH2Br2 = 358 
  INTEGER, PARAMETER :: ind_CHBr3 = 359 
  INTEGER, PARAMETER :: ind_IBr = 360 
  INTEGER, PARAMETER :: ind_H2SO4 = 361 
  INTEGER, PARAMETER :: ind_NCO = 362 
  INTEGER, PARAMETER :: ind_ClNO2 = 363 
  INTEGER, PARAMETER :: ind_BrNO2 = 364 
  INTEGER, PARAMETER :: ind_CHCl2Br = 365 
  INTEGER, PARAMETER :: ind_CHClBr2 = 366 
  INTEGER, PARAMETER :: ind_CH2ClBr = 367 
  INTEGER, PARAMETER :: ind_INO2 = 368 
  INTEGER, PARAMETER :: ind_CH3SO2 = 369 
  INTEGER, PARAMETER :: ind_CH3SO3 = 370 
  INTEGER, PARAMETER :: ind_CO2_a01 = 371 
  INTEGER, PARAMETER :: ind_HCO3m_a01 = 372 
  INTEGER, PARAMETER :: ind_IO_a01 = 373 
  INTEGER, PARAMETER :: ind_NH4p_a01 = 374 
  INTEGER, PARAMETER :: ind_NH3_a01 = 375 
  INTEGER, PARAMETER :: ind_ICl2m_a01 = 376 
  INTEGER, PARAMETER :: ind_IBr2m_a01 = 377 
  INTEGER, PARAMETER :: ind_OHm_a01 = 378 
  INTEGER, PARAMETER :: ind_OClO = 379 
  INTEGER, PARAMETER :: ind_CH3I = 380 
  INTEGER, PARAMETER :: ind_H2OH2O = 381 
  INTEGER, PARAMETER :: ind_HOCH2OH = 382 
  INTEGER, PARAMETER :: ind_NH3 = 383 
  INTEGER, PARAMETER :: ind_CN = 384 
  INTEGER, PARAMETER :: ind_HOCl = 385 
  INTEGER, PARAMETER :: ind_H = 386 
  INTEGER, PARAMETER :: ind_ICl = 387 
  INTEGER, PARAMETER :: ind_HCl_a01 = 388 
  INTEGER, PARAMETER :: ind_HBr_a01 = 389 
  INTEGER, PARAMETER :: ind_SO2_a01 = 390 
  INTEGER, PARAMETER :: ind_NH2OH = 391 
  INTEGER, PARAMETER :: ind_CH4 = 392 
  INTEGER, PARAMETER :: ind_I2 = 393 
  INTEGER, PARAMETER :: ind_H2SO4_a01 = 394 
  INTEGER, PARAMETER :: ind_H2 = 395 
  INTEGER, PARAMETER :: ind_NH2O = 396 
  INTEGER, PARAMETER :: ind_SO4mm_a01 = 397 
  INTEGER, PARAMETER :: ind_HSO4m_a01 = 398 
  INTEGER, PARAMETER :: ind_H2O2_a01 = 399 
  INTEGER, PARAMETER :: ind_NO3m_a01 = 400 
  INTEGER, PARAMETER :: ind_HI = 401 
  INTEGER, PARAMETER :: ind_HOI = 402 
  INTEGER, PARAMETER :: ind_HNO4 = 403 
  INTEGER, PARAMETER :: ind_HNO3_a01 = 404 
  INTEGER, PARAMETER :: ind_BrCl2m_a01 = 405 
  INTEGER, PARAMETER :: ind_Br2Clm_a01 = 406 
  INTEGER, PARAMETER :: ind_HOBr = 407 
  INTEGER, PARAMETER :: ind_CH3OH = 408 
  INTEGER, PARAMETER :: ind_HONO = 409 
  INTEGER, PARAMETER :: ind_HCN = 410 
  INTEGER, PARAMETER :: ind_HOCH2O2NO2 = 411 
  INTEGER, PARAMETER :: ind_CH3O2NO2 = 412 
  INTEGER, PARAMETER :: ind_OIO = 413 
  INTEGER, PARAMETER :: ind_O1D = 414 
  INTEGER, PARAMETER :: ind_O3_a01 = 415 
  INTEGER, PARAMETER :: ind_NHOH = 416 
  INTEGER, PARAMETER :: ind_Cl2 = 417 
  INTEGER, PARAMETER :: ind_HOCH2OOH = 418 
  INTEGER, PARAMETER :: ind_IO2m_a01 = 419 
  INTEGER, PARAMETER :: ind_INO3 = 420 
  INTEGER, PARAMETER :: ind_CH3ONO = 421 
  INTEGER, PARAMETER :: ind_SO2 = 422 
  INTEGER, PARAMETER :: ind_N2O5 = 423 
  INTEGER, PARAMETER :: ind_HNO = 424 
  INTEGER, PARAMETER :: ind_HBr = 425 
  INTEGER, PARAMETER :: ind_NH2 = 426 
  INTEGER, PARAMETER :: ind_BrCl = 427 
  INTEGER, PARAMETER :: ind_HCOOH = 428 
  INTEGER, PARAMETER :: ind_Br2_a01 = 429 
  INTEGER, PARAMETER :: ind_CH3NO3 = 430 
  INTEGER, PARAMETER :: ind_IBr_a01 = 431 
  INTEGER, PARAMETER :: ind_CH3OOH = 432 
  INTEGER, PARAMETER :: ind_HNO3 = 433 
  INTEGER, PARAMETER :: ind_CH3 = 434 
  INTEGER, PARAMETER :: ind_SO3mm_a01 = 435 
  INTEGER, PARAMETER :: ind_CO = 436 
  INTEGER, PARAMETER :: ind_HCl = 437 
  INTEGER, PARAMETER :: ind_BrNO3 = 438 
  INTEGER, PARAMETER :: ind_ICl_a01 = 439 
  INTEGER, PARAMETER :: ind_H2O2 = 440 
  INTEGER, PARAMETER :: ind_HOCH2O2 = 441 
  INTEGER, PARAMETER :: ind_ClNO3 = 442 
  INTEGER, PARAMETER :: ind_Cl2_a01 = 443 
  INTEGER, PARAMETER :: ind_BrCl_a01 = 444 
  INTEGER, PARAMETER :: ind_Br2 = 445 
  INTEGER, PARAMETER :: ind_O3P = 446 
  INTEGER, PARAMETER :: ind_HOI_a01 = 447 
  INTEGER, PARAMETER :: ind_HSO3m_a01 = 448 
  INTEGER, PARAMETER :: ind_CH3O = 449 
  INTEGER, PARAMETER :: ind_I = 450 
  INTEGER, PARAMETER :: ind_ClO = 451 
  INTEGER, PARAMETER :: ind_H2O = 452 
  INTEGER, PARAMETER :: ind_HCHO = 453 
  INTEGER, PARAMETER :: ind_NO3 = 454 
  INTEGER, PARAMETER :: ind_CH2OO = 455 
  INTEGER, PARAMETER :: ind_Hp_a01 = 456 
  INTEGER, PARAMETER :: ind_OH = 457 
  INTEGER, PARAMETER :: ind_Cl = 458 
  INTEGER, PARAMETER :: ind_BrO = 459 
  INTEGER, PARAMETER :: ind_Clm_a01 = 460 
  INTEGER, PARAMETER :: ind_Brm_a01 = 461 
  INTEGER, PARAMETER :: ind_Br = 462 
  INTEGER, PARAMETER :: ind_CH3O2 = 463 
  INTEGER, PARAMETER :: ind_Im_a01 = 464 
  INTEGER, PARAMETER :: ind_HOBr_a01 = 465 
  INTEGER, PARAMETER :: ind_O3 = 466 
  INTEGER, PARAMETER :: ind_IO = 467 
  INTEGER, PARAMETER :: ind_NO = 468 
  INTEGER, PARAMETER :: ind_HO2 = 469 
  INTEGER, PARAMETER :: ind_HOCl_a01 = 470 
  INTEGER, PARAMETER :: ind_NO2 = 471 

! Index declaration for fixed species in C
!   C(ind_spc)

  INTEGER, PARAMETER :: ind_O2 = 472 
  INTEGER, PARAMETER :: ind_N2 = 473 
  INTEGER, PARAMETER :: ind_CO2 = 474 
  INTEGER, PARAMETER :: ind_H2O_a01 = 475 

! Index declaration for dummy species

  INTEGER, PARAMETER :: ind_N = 0 
  INTEGER, PARAMETER :: ind_N2D = 0 
  INTEGER, PARAMETER :: ind_LNITROGEN = 0 
  INTEGER, PARAMETER :: ind_HCOCO3 = 0 
  INTEGER, PARAMETER :: ind_HCOCO = 0 
  INTEGER, PARAMETER :: ind_C2H2 = 0 
  INTEGER, PARAMETER :: ind_CH2CO = 0 
  INTEGER, PARAMETER :: ind_GLYOX = 0 
  INTEGER, PARAMETER :: ind_HCOCO2H = 0 
  INTEGER, PARAMETER :: ind_HCOCO3H = 0 
  INTEGER, PARAMETER :: ind_CH3CO = 0 
  INTEGER, PARAMETER :: ind_HOCH2CO = 0 
  INTEGER, PARAMETER :: ind_HOCHCHO = 0 
  INTEGER, PARAMETER :: ind_HCOCH2O2 = 0 
  INTEGER, PARAMETER :: ind_CH3CO3 = 0 
  INTEGER, PARAMETER :: ind_HOCH2CO3 = 0 
  INTEGER, PARAMETER :: ind_HOOCH2CO3 = 0 
  INTEGER, PARAMETER :: ind_C2H4 = 0 
  INTEGER, PARAMETER :: ind_CH2CHOH = 0 
  INTEGER, PARAMETER :: ind_CH3CHO = 0 
  INTEGER, PARAMETER :: ind_CH3CO2H = 0 
  INTEGER, PARAMETER :: ind_HOCH2CHO = 0 
  INTEGER, PARAMETER :: ind_HOOCH2CHO = 0 
  INTEGER, PARAMETER :: ind_CH3CO3H = 0 
  INTEGER, PARAMETER :: ind_HOCH2CO2H = 0 
  INTEGER, PARAMETER :: ind_HOCH2CO3H = 0 
  INTEGER, PARAMETER :: ind_HOOCH2CO2H = 0 
  INTEGER, PARAMETER :: ind_HOOCH2CO3H = 0 
  INTEGER, PARAMETER :: ind_C2H5O2 = 0 
  INTEGER, PARAMETER :: ind_HOCH2CH2O = 0 
  INTEGER, PARAMETER :: ind_HOCH2CH2O2 = 0 
  INTEGER, PARAMETER :: ind_CH3CHOHO2 = 0 
  INTEGER, PARAMETER :: ind_C2H6 = 0 
  INTEGER, PARAMETER :: ind_C2H5OH = 0 
  INTEGER, PARAMETER :: ind_C2H5OOH = 0 
  INTEGER, PARAMETER :: ind_ETHGLY = 0 
  INTEGER, PARAMETER :: ind_HYETHO2H = 0 
  INTEGER, PARAMETER :: ind_CH3CHOHOOH = 0 
  INTEGER, PARAMETER :: ind_NCCH2O2 = 0 
  INTEGER, PARAMETER :: ind_NO3CH2CO3 = 0 
  INTEGER, PARAMETER :: ind_NO3CH2PAN = 0 
  INTEGER, PARAMETER :: ind_CH3CN = 0 
  INTEGER, PARAMETER :: ind_NO3CH2CHO = 0 
  INTEGER, PARAMETER :: ind_PAN = 0 
  INTEGER, PARAMETER :: ind_PHAN = 0 
  INTEGER, PARAMETER :: ind_ETHOHNO3 = 0 
  INTEGER, PARAMETER :: ind_C2H5NO3 = 0 
  INTEGER, PARAMETER :: ind_C2H5O2NO2 = 0 
  INTEGER, PARAMETER :: ind_C33CO = 0 
  INTEGER, PARAMETER :: ind_CHOCOCH2O2 = 0 
  INTEGER, PARAMETER :: ind_HCOCH2CO3 = 0 
  INTEGER, PARAMETER :: ind_ALCOCH2OOH = 0 
  INTEGER, PARAMETER :: ind_MGLYOX = 0 
  INTEGER, PARAMETER :: ind_HOCH2COCHO = 0 
  INTEGER, PARAMETER :: ind_HCOCH2CHO = 0 
  INTEGER, PARAMETER :: ind_HCOCH2CO2H = 0 
  INTEGER, PARAMETER :: ind_HCOCH2CO3H = 0 
  INTEGER, PARAMETER :: ind_CH3COCH2O2 = 0 
  INTEGER, PARAMETER :: ind_HOC2H4CO3 = 0 
  INTEGER, PARAMETER :: ind_C3H6 = 0 
  INTEGER, PARAMETER :: ind_CH3COCH3 = 0 
  INTEGER, PARAMETER :: ind_ACETOL = 0 
  INTEGER, PARAMETER :: ind_HYPERACET = 0 
  INTEGER, PARAMETER :: ind_HOC2H4CO2H = 0 
  INTEGER, PARAMETER :: ind_HOC2H4CO3H = 0 
  INTEGER, PARAMETER :: ind_IC3H7O2 = 0 
  INTEGER, PARAMETER :: ind_HYPROPO2 = 0 
  INTEGER, PARAMETER :: ind_C3H8 = 0 
  INTEGER, PARAMETER :: ind_IC3H7OOH = 0 
  INTEGER, PARAMETER :: ind_HYPROPO2H = 0 
  INTEGER, PARAMETER :: ind_CH3COCO3 = 0 
  INTEGER, PARAMETER :: ind_CH3CHCO = 0 
  INTEGER, PARAMETER :: ind_CH3COCO2H = 0 
  INTEGER, PARAMETER :: ind_CH3COCO3H = 0 
  INTEGER, PARAMETER :: ind_HCOCOCH2OOH = 0 
  INTEGER, PARAMETER :: ind_C2H5CO3 = 0 
  INTEGER, PARAMETER :: ind_HOCH2COCH2O2 = 0 
  INTEGER, PARAMETER :: ind_C2H5CHO = 0 
  INTEGER, PARAMETER :: ind_PROPENOL = 0 
  INTEGER, PARAMETER :: ind_C2H5CO2H = 0 
  INTEGER, PARAMETER :: ind_C2H5CO3H = 0 
  INTEGER, PARAMETER :: ind_HOCH2COCH2OOH = 0 
  INTEGER, PARAMETER :: ind_NC3H7O2 = 0 
  INTEGER, PARAMETER :: ind_IPROPOL = 0 
  INTEGER, PARAMETER :: ind_NPROPOL = 0 
  INTEGER, PARAMETER :: ind_NC3H7OOH = 0 
  INTEGER, PARAMETER :: ind_C3DIALOOH = 0 
  INTEGER, PARAMETER :: ind_C3DIALO2 = 0 
  INTEGER, PARAMETER :: ind_HCOCOHCO3 = 0 
  INTEGER, PARAMETER :: ind_METACETHO = 0 
  INTEGER, PARAMETER :: ind_C32OH13CO = 0 
  INTEGER, PARAMETER :: ind_HCOCOHCO3H = 0 
  INTEGER, PARAMETER :: ind_C3PAN2 = 0 
  INTEGER, PARAMETER :: ind_NOA = 0 
  INTEGER, PARAMETER :: ind_CH3COCH2O2NO2 = 0 
  INTEGER, PARAMETER :: ind_PPN = 0 
  INTEGER, PARAMETER :: ind_C3PAN1 = 0 
  INTEGER, PARAMETER :: ind_PRONO3BO2 = 0 
  INTEGER, PARAMETER :: ind_NC3H7NO3 = 0 
  INTEGER, PARAMETER :: ind_IC3H7NO3 = 0 
  INTEGER, PARAMETER :: ind_PROPOLNO3 = 0 
  INTEGER, PARAMETER :: ind_PR2O2HNO3 = 0 
  INTEGER, PARAMETER :: ind_HCOCOHPAN = 0 
  INTEGER, PARAMETER :: ind_C312COCO3 = 0 
  INTEGER, PARAMETER :: ind_HCOCCH3CO = 0 
  INTEGER, PARAMETER :: ind_CH3COCHCO = 0 
  INTEGER, PARAMETER :: ind_C4CODIAL = 0 
  INTEGER, PARAMETER :: ind_CO23C3CHO = 0 
  INTEGER, PARAMETER :: ind_C312COCO3H = 0 
  INTEGER, PARAMETER :: ind_MACO2 = 0 
  INTEGER, PARAMETER :: ind_EZCH3CO2CHCHO = 0 
  INTEGER, PARAMETER :: ind_EZCHOCCH3CHO2 = 0 
  INTEGER, PARAMETER :: ind_CO2H3CHO = 0 
  INTEGER, PARAMETER :: ind_MACO3 = 0 
  INTEGER, PARAMETER :: ind_CH3COCHO2CHO = 0 
  INTEGER, PARAMETER :: ind_HCOCO2CH3CHO = 0 
  INTEGER, PARAMETER :: ind_BIACETO2 = 0 
  INTEGER, PARAMETER :: ind_CHOC3COO2 = 0 
  INTEGER, PARAMETER :: ind_C44O2 = 0 
  INTEGER, PARAMETER :: ind_CO2H3CO3 = 0 
  INTEGER, PARAMETER :: ind_MACR = 0 
  INTEGER, PARAMETER :: ind_MVK = 0 
  INTEGER, PARAMETER :: ind_BIACET = 0 
  INTEGER, PARAMETER :: ind_MACO2H = 0 
  INTEGER, PARAMETER :: ind_HVMK = 0 
  INTEGER, PARAMETER :: ind_HMAC = 0 
  INTEGER, PARAMETER :: ind_CO2C3CHO = 0 
  INTEGER, PARAMETER :: ind_IBUTDIAL = 0 
  INTEGER, PARAMETER :: ind_MACO3H = 0 
  INTEGER, PARAMETER :: ind_BIACETOH = 0 
  INTEGER, PARAMETER :: ind_CH3COOHCHCHO = 0 
  INTEGER, PARAMETER :: ind_HCOCCH3CHOOH = 0 
  INTEGER, PARAMETER :: ind_C413COOOH = 0 
  INTEGER, PARAMETER :: ind_BIACETOOH = 0 
  INTEGER, PARAMETER :: ind_CH3COCOCO2H = 0 
  INTEGER, PARAMETER :: ind_CO2H3CO2H = 0 
  INTEGER, PARAMETER :: ind_C44OOH = 0 
  INTEGER, PARAMETER :: ind_CO2H3CO3H = 0 
  INTEGER, PARAMETER :: ind_MACRO = 0 
  INTEGER, PARAMETER :: ind_IPRCO3 = 0 
  INTEGER, PARAMETER :: ind_MACRO2 = 0 
  INTEGER, PARAMETER :: ind_IPRHOCO3 = 0 
  INTEGER, PARAMETER :: ind_MACRN = 0 
  INTEGER, PARAMETER :: ind_MVKNO3 = 0 
  INTEGER, PARAMETER :: ind_PIPN = 0 
  INTEGER, PARAMETER :: ind_MEK = 0 
  INTEGER, PARAMETER :: ind_HO12CO3C4 = 0 
  INTEGER, PARAMETER :: ind_MACROH = 0 
  INTEGER, PARAMETER :: ind_MACROOH = 0 
  INTEGER, PARAMETER :: ind_MEPROPENE = 0 
  INTEGER, PARAMETER :: ind_BUT1ENE = 0 
  INTEGER, PARAMETER :: ind_CBUT2ENE = 0 
  INTEGER, PARAMETER :: ind_TBUT2ENE = 0 
  INTEGER, PARAMETER :: ind_BUTENOL = 0 
  INTEGER, PARAMETER :: ind_C3H7CHO = 0 
  INTEGER, PARAMETER :: ind_IPRCHO = 0 
  INTEGER, PARAMETER :: ind_MPROPENOL = 0 
  INTEGER, PARAMETER :: ind_IBUTALOH = 0 
  INTEGER, PARAMETER :: ind_MBOOO = 0 
  INTEGER, PARAMETER :: ind_BUT2OLO = 0 
  INTEGER, PARAMETER :: ind_PERIBUACID = 0 
  INTEGER, PARAMETER :: ind_IPRHOCO2H = 0 
  INTEGER, PARAMETER :: ind_IPRHOCO3H = 0 
  INTEGER, PARAMETER :: ind_IBUTOLBO2 = 0 
  INTEGER, PARAMETER :: ind_BUT2OLO2 = 0 
  INTEGER, PARAMETER :: ind_TC4H9O2 = 0 
  INTEGER, PARAMETER :: ind_IC4H9O2 = 0 
  INTEGER, PARAMETER :: ind_IC4H9NO3 = 0 
  INTEGER, PARAMETER :: ind_TC4H9NO3 = 0 
  INTEGER, PARAMETER :: ind_BUT2OLNO3 = 0 
  INTEGER, PARAMETER :: ind_NC4H10 = 0 
  INTEGER, PARAMETER :: ind_IC4H10 = 0 
  INTEGER, PARAMETER :: ind_TC4H9OOH = 0 
  INTEGER, PARAMETER :: ind_IC4H9OOH = 0 
  INTEGER, PARAMETER :: ind_IBUTOLBOOH = 0 
  INTEGER, PARAMETER :: ind_BUT2OLOOH = 0 
  INTEGER, PARAMETER :: ind_MALANHY = 0 
  INTEGER, PARAMETER :: ind_CO2C4DIAL = 0 
  INTEGER, PARAMETER :: ind_MALNHYOHCO = 0 
  INTEGER, PARAMETER :: ind_MALDIALCO3 = 0 
  INTEGER, PARAMETER :: ind_EPXDLCO3 = 0 
  INTEGER, PARAMETER :: ind_MALANHYO2 = 0 
  INTEGER, PARAMETER :: ind_BZFUONE = 0 
  INTEGER, PARAMETER :: ind_MALDIAL = 0 
  INTEGER, PARAMETER :: ind_MALDALCO2H = 0 
  INTEGER, PARAMETER :: ind_EPXC4DIAL = 0 
  INTEGER, PARAMETER :: ind_HOCOC4DIAL = 0 
  INTEGER, PARAMETER :: ind_MALDALCO3H = 0 
  INTEGER, PARAMETER :: ind_BZFUCO = 0 
  INTEGER, PARAMETER :: ind_EPXDLCO2H = 0 
  INTEGER, PARAMETER :: ind_CO14O3CHO = 0 
  INTEGER, PARAMETER :: ind_CO14O3CO2H = 0 
  INTEGER, PARAMETER :: ind_EPXDLCO3H = 0 
  INTEGER, PARAMETER :: ind_MALANHYOOH = 0 
  INTEGER, PARAMETER :: ind_BZFUO2 = 0 
  INTEGER, PARAMETER :: ind_MECOACETO2 = 0 
  INTEGER, PARAMETER :: ind_MALDIALO2 = 0 
  INTEGER, PARAMETER :: ind_MALDIALOOH = 0 
  INTEGER, PARAMETER :: ind_BZFUOOH = 0 
  INTEGER, PARAMETER :: ind_MECOACEOOH = 0 
  INTEGER, PARAMETER :: ind_C312COPAN = 0 
  INTEGER, PARAMETER :: ind_MPAN = 0 
  INTEGER, PARAMETER :: ind_IBUTOLBNO3 = 0 
  INTEGER, PARAMETER :: ind_C4PAN5 = 0 
  INTEGER, PARAMETER :: ind_NC4DCO2H = 0 
  INTEGER, PARAMETER :: ind_MALDIALPAN = 0 
  INTEGER, PARAMETER :: ind_NBZFUONE = 0 
  INTEGER, PARAMETER :: ind_EPXDLPAN = 0 
  INTEGER, PARAMETER :: ind_NBZFUO2 = 0 
  INTEGER, PARAMETER :: ind_NBZFUOOH = 0 
  INTEGER, PARAMETER :: ind_LMEKO2 = 0 
  INTEGER, PARAMETER :: ind_LHMVKABO2 = 0 
  INTEGER, PARAMETER :: ind_LMEKOOH = 0 
  INTEGER, PARAMETER :: ind_LHMVKABOOH = 0 
  INTEGER, PARAMETER :: ind_LC4H9O2 = 0 
  INTEGER, PARAMETER :: ind_LC4H9OOH = 0 
  INTEGER, PARAMETER :: ind_LBUT1ENO2 = 0 
  INTEGER, PARAMETER :: ind_LBUT1ENOOH = 0 
  INTEGER, PARAMETER :: ind_LMEKNO3 = 0 
  INTEGER, PARAMETER :: ind_LC4H9NO3 = 0 
  INTEGER, PARAMETER :: ind_LBUT1ENNO3 = 0 
  INTEGER, PARAMETER :: ind_ZCO3C23DBCOD = 0 
  INTEGER, PARAMETER :: ind_CHOC3COCO3 = 0 
  INTEGER, PARAMETER :: ind_CO23C4CO3 = 0 
  INTEGER, PARAMETER :: ind_ME3FURAN = 0 
  INTEGER, PARAMETER :: ind_ZCODC23DBCOD = 0 
  INTEGER, PARAMETER :: ind_CO13C4CHO = 0 
  INTEGER, PARAMETER :: ind_CO23C4CHO = 0 
  INTEGER, PARAMETER :: ind_ZCO3HC23DBCOD = 0 
  INTEGER, PARAMETER :: ind_C513CO = 0 
  INTEGER, PARAMETER :: ind_CHOC3COOOH = 0 
  INTEGER, PARAMETER :: ind_CO23C4CO3H = 0 
  INTEGER, PARAMETER :: ind_C511O2 = 0 
  INTEGER, PARAMETER :: ind_C512O2 = 0 
  INTEGER, PARAMETER :: ind_C514O2 = 0 
  INTEGER, PARAMETER :: ind_C1ODC2O2C4OD = 0 
  INTEGER, PARAMETER :: ind_C513O2 = 0 
  INTEGER, PARAMETER :: ind_C5H8 = 0 
  INTEGER, PARAMETER :: ind_HCOC5 = 0 
  INTEGER, PARAMETER :: ind_ZCODC23DBCOOH = 0 
  INTEGER, PARAMETER :: ind_MBOCOCO = 0 
  INTEGER, PARAMETER :: ind_C511OOH = 0 
  INTEGER, PARAMETER :: ind_C514OOH = 0 
  INTEGER, PARAMETER :: ind_C512OOH = 0 
  INTEGER, PARAMETER :: ind_C1ODC2OOHC4OD = 0 
  INTEGER, PARAMETER :: ind_C513OOH = 0 
  INTEGER, PARAMETER :: ind_ISOPAB = 0 
  INTEGER, PARAMETER :: ind_ISOPCD = 0 
  INTEGER, PARAMETER :: ind_ISOPBO2 = 0 
  INTEGER, PARAMETER :: ind_ISOPDO2 = 0 
  INTEGER, PARAMETER :: ind_DB1O = 0 
  INTEGER, PARAMETER :: ind_DB1O2 = 0 
  INTEGER, PARAMETER :: ind_C1ODC2O2C4OOH = 0 
  INTEGER, PARAMETER :: ind_C1OOHC3O2C4OD = 0 
  INTEGER, PARAMETER :: ind_C59O2 = 0 
  INTEGER, PARAMETER :: ind_DB2O2 = 0 
  INTEGER, PARAMETER :: ind_C1ODC3O2C4OOH = 0 
  INTEGER, PARAMETER :: ind_C1OOHC2O2C4OD = 0 
  INTEGER, PARAMETER :: ind_MBO = 0 
  INTEGER, PARAMETER :: ind_ISOPAOH = 0 
  INTEGER, PARAMETER :: ind_ISOPBOH = 0 
  INTEGER, PARAMETER :: ind_ISOPDOH = 0 
  INTEGER, PARAMETER :: ind_ISOPBOOH = 0 
  INTEGER, PARAMETER :: ind_ISOPDOOH = 0 
  INTEGER, PARAMETER :: ind_MBOACO = 0 
  INTEGER, PARAMETER :: ind_DB1OOH = 0 
  INTEGER, PARAMETER :: ind_C59OOH = 0 
  INTEGER, PARAMETER :: ind_C1OOHC2OOHC4OD = 0 
  INTEGER, PARAMETER :: ind_DB2OOH = 0 
  INTEGER, PARAMETER :: ind_C4CO2DBCO3 = 0 
  INTEGER, PARAMETER :: ind_MMALANHY = 0 
  INTEGER, PARAMETER :: ind_C54CO = 0 
  INTEGER, PARAMETER :: ind_C4CO2DCO3H = 0 
  INTEGER, PARAMETER :: ind_C5DIALCO = 0 
  INTEGER, PARAMETER :: ind_C5DIALO2 = 0 
  INTEGER, PARAMETER :: ind_C5CO14O2 = 0 
  INTEGER, PARAMETER :: ind_ACCOMECO3 = 0 
  INTEGER, PARAMETER :: ind_MMALANHYO2 = 0 
  INTEGER, PARAMETER :: ind_TLFUONE = 0 
  INTEGER, PARAMETER :: ind_C5DICARB = 0 
  INTEGER, PARAMETER :: ind_MC3ODBCO2H = 0 
  INTEGER, PARAMETER :: ind_C5CO14OH = 0 
  INTEGER, PARAMETER :: ind_C5134CO2OH = 0 
  INTEGER, PARAMETER :: ind_C5DIALOOH = 0 
  INTEGER, PARAMETER :: ind_ACCOMECHO = 0 
  INTEGER, PARAMETER :: ind_C5CO14OOH = 0 
  INTEGER, PARAMETER :: ind_C24O3CCO2H = 0 
  INTEGER, PARAMETER :: ind_MMALNHYOOH = 0 
  INTEGER, PARAMETER :: ind_ACCOMECO3H = 0 
  INTEGER, PARAMETER :: ind_C5DICARBO2 = 0 
  INTEGER, PARAMETER :: ind_TLFUO2 = 0 
  INTEGER, PARAMETER :: ind_TLFUOOH = 0 
  INTEGER, PARAMETER :: ind_C5DICAROOH = 0 
  INTEGER, PARAMETER :: ind_CHOC3COPAN = 0 
  INTEGER, PARAMETER :: ind_ZCPANC23DBCOD = 0 
  INTEGER, PARAMETER :: ind_C5PAN9 = 0 
  INTEGER, PARAMETER :: ind_NC4CHO = 0 
  INTEGER, PARAMETER :: ind_C514NO3 = 0 
  INTEGER, PARAMETER :: ind_NISOPO2 = 0 
  INTEGER, PARAMETER :: ind_NC4OHCO3 = 0 
  INTEGER, PARAMETER :: ind_NC4OHCPAN = 0 
  INTEGER, PARAMETER :: ind_ISOPBNO3 = 0 
  INTEGER, PARAMETER :: ind_ISOPDNO3 = 0 
  INTEGER, PARAMETER :: ind_NISOPOOH = 0 
  INTEGER, PARAMETER :: ind_NMBOBCO = 0 
  INTEGER, PARAMETER :: ind_C4MCONO3OH = 0 
  INTEGER, PARAMETER :: ind_DB1NO3 = 0 
  INTEGER, PARAMETER :: ind_NC4OHCO3H = 0 
  INTEGER, PARAMETER :: ind_ISOPBDNO3O2 = 0 
  INTEGER, PARAMETER :: ind_C4CO2DBPAN = 0 
  INTEGER, PARAMETER :: ind_NC4MDCO2H = 0 
  INTEGER, PARAMETER :: ind_C5COO2NO2 = 0 
  INTEGER, PARAMETER :: ind_ACCOMEPAN = 0 
  INTEGER, PARAMETER :: ind_NTLFUO2 = 0 
  INTEGER, PARAMETER :: ind_NTLFUOOH = 0 
  INTEGER, PARAMETER :: ind_LME3FURANO2 = 0 
  INTEGER, PARAMETER :: ind_LHC4ACCO3 = 0 
  INTEGER, PARAMETER :: ind_LHC4ACCHO = 0 
  INTEGER, PARAMETER :: ind_LHC4ACCO2H = 0 
  INTEGER, PARAMETER :: ind_LHC4ACCO3H = 0 
  INTEGER, PARAMETER :: ind_LISOPACO = 0 
  INTEGER, PARAMETER :: ind_LDISOPACO = 0 
  INTEGER, PARAMETER :: ind_LISOPEFO = 0 
  INTEGER, PARAMETER :: ind_LISOPACO2 = 0 
  INTEGER, PARAMETER :: ind_LDISOPACO2 = 0 
  INTEGER, PARAMETER :: ind_LISOPEFO2 = 0 
  INTEGER, PARAMETER :: ind_LC578O2 = 0 
  INTEGER, PARAMETER :: ind_LIEPOX = 0 
  INTEGER, PARAMETER :: ind_LISOPACOOH = 0 
  INTEGER, PARAMETER :: ind_LC578OOH = 0 
  INTEGER, PARAMETER :: ind_LMBOABO2 = 0 
  INTEGER, PARAMETER :: ind_LMBOABOOH = 0 
  INTEGER, PARAMETER :: ind_LC5PAN1719 = 0 
  INTEGER, PARAMETER :: ind_LISOPACNO3 = 0 
  INTEGER, PARAMETER :: ind_LNMBOABO2 = 0 
  INTEGER, PARAMETER :: ind_LNMBOABOOH = 0 
  INTEGER, PARAMETER :: ind_LISOPACNO3O2 = 0 
  INTEGER, PARAMETER :: ind_LMBOABNO3 = 0 
  INTEGER, PARAMETER :: ind_LNISO3 = 0 
  INTEGER, PARAMETER :: ind_LNISOOH = 0 
  INTEGER, PARAMETER :: ind_CO235C5CHO = 0 
  INTEGER, PARAMETER :: ind_CO235C6O2 = 0 
  INTEGER, PARAMETER :: ind_C614CO = 0 
  INTEGER, PARAMETER :: ind_CO235C6OOH = 0 
  INTEGER, PARAMETER :: ind_C614O2 = 0 
  INTEGER, PARAMETER :: ind_C614OOH = 0 
  INTEGER, PARAMETER :: ind_PBZQONE = 0 
  INTEGER, PARAMETER :: ind_CATECHOL = 0 
  INTEGER, PARAMETER :: ind_C6CO4DB = 0 
  INTEGER, PARAMETER :: ind_PBZQCO = 0 
  INTEGER, PARAMETER :: ind_C6H5O = 0 
  INTEGER, PARAMETER :: ind_CATEC1O = 0 
  INTEGER, PARAMETER :: ind_C6H5O2 = 0 
  INTEGER, PARAMETER :: ind_CATEC1O2 = 0 
  INTEGER, PARAMETER :: ind_C5CO2DBCO3 = 0 
  INTEGER, PARAMETER :: ind_PBZQO2 = 0 
  INTEGER, PARAMETER :: ind_BZEMUCCO3 = 0 
  INTEGER, PARAMETER :: ind_C5CO2DCO3H = 0 
  INTEGER, PARAMETER :: ind_C5CO2OHCO3 = 0 
  INTEGER, PARAMETER :: ind_BENZENE = 0 
  INTEGER, PARAMETER :: ind_PHENOL = 0 
  INTEGER, PARAMETER :: ind_C6H5OOH = 0 
  INTEGER, PARAMETER :: ind_BZEPOXMUC = 0 
  INTEGER, PARAMETER :: ind_C6125CO = 0 
  INTEGER, PARAMETER :: ind_CATEC1OOH = 0 
  INTEGER, PARAMETER :: ind_BZEMUCCO2H = 0 
  INTEGER, PARAMETER :: ind_BZOBIPEROH = 0 
  INTEGER, PARAMETER :: ind_BZEMUCCO = 0 
  INTEGER, PARAMETER :: ind_PBZQOOH = 0 
  INTEGER, PARAMETER :: ind_BZEMUCCO3H = 0 
  INTEGER, PARAMETER :: ind_C5COOHCO3H = 0 
  INTEGER, PARAMETER :: ind_C615CO2O2 = 0 
  INTEGER, PARAMETER :: ind_BZBIPERO2 = 0 
  INTEGER, PARAMETER :: ind_PHENO2 = 0 
  INTEGER, PARAMETER :: ind_BZEMUCO2 = 0 
  INTEGER, PARAMETER :: ind_C615CO2OOH = 0 
  INTEGER, PARAMETER :: ind_BZBIPEROOH = 0 
  INTEGER, PARAMETER :: ind_PHENOOH = 0 
  INTEGER, PARAMETER :: ind_BZEMUCOOH = 0 
  INTEGER, PARAMETER :: ind_CPDKETENE = 0 
  INTEGER, PARAMETER :: ind_C614NO3 = 0 
  INTEGER, PARAMETER :: ind_NCPDKETENE = 0 
  INTEGER, PARAMETER :: ind_NPHEN1O = 0 
  INTEGER, PARAMETER :: ind_NPHEN1O2 = 0 
  INTEGER, PARAMETER :: ind_DNPHEN = 0 
  INTEGER, PARAMETER :: ind_NBZQO2 = 0 
  INTEGER, PARAMETER :: ind_NDNPHENO2 = 0 
  INTEGER, PARAMETER :: ind_HOC6H4NO2 = 0 
  INTEGER, PARAMETER :: ind_NCATECHOL = 0 
  INTEGER, PARAMETER :: ind_NPHEN1OOH = 0 
  INTEGER, PARAMETER :: ind_BZEMUCPAN = 0 
  INTEGER, PARAMETER :: ind_C5CO2DBPAN = 0 
  INTEGER, PARAMETER :: ind_NBZQOOH = 0 
  INTEGER, PARAMETER :: ind_C5CO2OHPAN = 0 
  INTEGER, PARAMETER :: ind_DNPHENO2 = 0 
  INTEGER, PARAMETER :: ind_NNCATECO2 = 0 
  INTEGER, PARAMETER :: ind_NDNPHENOOH = 0 
  INTEGER, PARAMETER :: ind_NPHENO2 = 0 
  INTEGER, PARAMETER :: ind_NCATECO2 = 0 
  INTEGER, PARAMETER :: ind_DNPHENOOH = 0 
  INTEGER, PARAMETER :: ind_NNCATECOOH = 0 
  INTEGER, PARAMETER :: ind_BZBIPERNO3 = 0 
  INTEGER, PARAMETER :: ind_BZEMUCNO3 = 0 
  INTEGER, PARAMETER :: ind_NPHENOOH = 0 
  INTEGER, PARAMETER :: ind_NCATECOOH = 0 
  INTEGER, PARAMETER :: ind_MCPDKETENE = 0 
  INTEGER, PARAMETER :: ind_CO235C6CO3 = 0 
  INTEGER, PARAMETER :: ind_CO235C6CHO = 0 
  INTEGER, PARAMETER :: ind_C235C6CO3H = 0 
  INTEGER, PARAMETER :: ind_C716O2 = 0 
  INTEGER, PARAMETER :: ind_C716OOH = 0 
  INTEGER, PARAMETER :: ind_ROO6R3O = 0 
  INTEGER, PARAMETER :: ind_C721O2 = 0 
  INTEGER, PARAMETER :: ind_C722O2 = 0 
  INTEGER, PARAMETER :: ind_ROO6R3O2 = 0 
  INTEGER, PARAMETER :: ind_ROO6R5O2 = 0 
  INTEGER, PARAMETER :: ind_C721OOH = 0 
  INTEGER, PARAMETER :: ind_C722OOH = 0 
  INTEGER, PARAMETER :: ind_C6H5CO3 = 0 
  INTEGER, PARAMETER :: ind_BENZAL = 0 
  INTEGER, PARAMETER :: ind_PHCOOH = 0 
  INTEGER, PARAMETER :: ind_PTLQONE = 0 
  INTEGER, PARAMETER :: ind_C6H5CO3H = 0 
  INTEGER, PARAMETER :: ind_C7CO4DB = 0 
  INTEGER, PARAMETER :: ind_PTLQCO = 0 
  INTEGER, PARAMETER :: ind_TOL1O = 0 
  INTEGER, PARAMETER :: ind_OXYL1O2 = 0 
  INTEGER, PARAMETER :: ind_C6H5CH2O2 = 0 
  INTEGER, PARAMETER :: ind_MCATEC1O = 0 
  INTEGER, PARAMETER :: ind_MCATEC1O2 = 0 
  INTEGER, PARAMETER :: ind_PTLQO2 = 0 
  INTEGER, PARAMETER :: ind_TLEMUCCO3 = 0 
  INTEGER, PARAMETER :: ind_C6CO2OHCO3 = 0 
  INTEGER, PARAMETER :: ind_TOLUENE = 0 
  INTEGER, PARAMETER :: ind_CRESOL = 0 
  INTEGER, PARAMETER :: ind_OXYL1OOH = 0 
  INTEGER, PARAMETER :: ind_C6H5CH2OOH = 0 
  INTEGER, PARAMETER :: ind_MCATECHOL = 0 
  INTEGER, PARAMETER :: ind_TLEPOXMUC = 0 
  INTEGER, PARAMETER :: ind_MCATEC1OOH = 0 
  INTEGER, PARAMETER :: ind_TLEMUCCO2H = 0 
  INTEGER, PARAMETER :: ind_TLOBIPEROH = 0 
  INTEGER, PARAMETER :: ind_PTLQOOH = 0 
  INTEGER, PARAMETER :: ind_TLEMUCCO = 0 
  INTEGER, PARAMETER :: ind_TLEMUCCO3H = 0 
  INTEGER, PARAMETER :: ind_C6COOHCO3H = 0 
  INTEGER, PARAMETER :: ind_TLBIPERO2 = 0 
  INTEGER, PARAMETER :: ind_TLEMUCO2 = 0 
  INTEGER, PARAMETER :: ind_CRESO2 = 0 
  INTEGER, PARAMETER :: ind_TLBIPEROOH = 0 
  INTEGER, PARAMETER :: ind_CRESOOH = 0 
  INTEGER, PARAMETER :: ind_TLEMUCOOH = 0 
  INTEGER, PARAMETER :: ind_C7PAN3 = 0 
  INTEGER, PARAMETER :: ind_MNCPDKETENE = 0 
  INTEGER, PARAMETER :: ind_PBZN = 0 
  INTEGER, PARAMETER :: ind_NDNCRESO2 = 0 
  INTEGER, PARAMETER :: ind_NCRES1O = 0 
  INTEGER, PARAMETER :: ind_NCRES1O2 = 0 
  INTEGER, PARAMETER :: ind_DNCRES = 0 
  INTEGER, PARAMETER :: ind_NPTLQO2 = 0 
  INTEGER, PARAMETER :: ind_TOL1OHNO2 = 0 
  INTEGER, PARAMETER :: ind_C6H5CH2NO3 = 0 
  INTEGER, PARAMETER :: ind_MNCATECH = 0 
  INTEGER, PARAMETER :: ind_NCRES1OOH = 0 
  INTEGER, PARAMETER :: ind_NPTLQOOH = 0 
  INTEGER, PARAMETER :: ind_TLEMUCPAN = 0 
  INTEGER, PARAMETER :: ind_C6CO2OHPAN = 0 
  INTEGER, PARAMETER :: ind_DNCRESO2 = 0 
  INTEGER, PARAMETER :: ind_MNNCATECO2 = 0 
  INTEGER, PARAMETER :: ind_NDNCRESOOH = 0 
  INTEGER, PARAMETER :: ind_NCRESO2 = 0 
  INTEGER, PARAMETER :: ind_MNCATECO2 = 0 
  INTEGER, PARAMETER :: ind_DNCRESOOH = 0 
  INTEGER, PARAMETER :: ind_MNNCATCOOH = 0 
  INTEGER, PARAMETER :: ind_TLBIPERNO3 = 0 
  INTEGER, PARAMETER :: ind_TLEMUCNO3 = 0 
  INTEGER, PARAMETER :: ind_NCRESOOH = 0 
  INTEGER, PARAMETER :: ind_MNCATECOOH = 0 
  INTEGER, PARAMETER :: ind_C8BCO2 = 0 
  INTEGER, PARAMETER :: ind_C721CO3 = 0 
  INTEGER, PARAMETER :: ind_C8BCCO = 0 
  INTEGER, PARAMETER :: ind_C8BCOOH = 0 
  INTEGER, PARAMETER :: ind_C721CHO = 0 
  INTEGER, PARAMETER :: ind_NORPINIC = 0 
  INTEGER, PARAMETER :: ind_C721CO3H = 0 
  INTEGER, PARAMETER :: ind_C85O2 = 0 
  INTEGER, PARAMETER :: ind_C89O2 = 0 
  INTEGER, PARAMETER :: ind_C811O2 = 0 
  INTEGER, PARAMETER :: ind_C86O2 = 0 
  INTEGER, PARAMETER :: ind_C812O2 = 0 
  INTEGER, PARAMETER :: ind_C813O2 = 0 
  INTEGER, PARAMETER :: ind_C8BC = 0 
  INTEGER, PARAMETER :: ind_C85OOH = 0 
  INTEGER, PARAMETER :: ind_C86OOH = 0 
  INTEGER, PARAMETER :: ind_C812OOH = 0 
  INTEGER, PARAMETER :: ind_C813OOH = 0 
  INTEGER, PARAMETER :: ind_C89OOH = 0 
  INTEGER, PARAMETER :: ind_C810OOH = 0 
  INTEGER, PARAMETER :: ind_C810O2 = 0 
  INTEGER, PARAMETER :: ind_STYRENE = 0 
  INTEGER, PARAMETER :: ind_STYRENO2 = 0 
  INTEGER, PARAMETER :: ind_LXYL = 0 
  INTEGER, PARAMETER :: ind_EBENZ = 0 
  INTEGER, PARAMETER :: ind_STYRENOOH = 0 
  INTEGER, PARAMETER :: ind_C8BCNO3 = 0 
  INTEGER, PARAMETER :: ind_C721PAN = 0 
  INTEGER, PARAMETER :: ind_C89NO3 = 0 
  INTEGER, PARAMETER :: ind_C810NO3 = 0 
  INTEGER, PARAMETER :: ind_NSTYRENO2 = 0 
  INTEGER, PARAMETER :: ind_NSTYRENOOH = 0 
  INTEGER, PARAMETER :: ind_C85CO3 = 0 
  INTEGER, PARAMETER :: ind_NOPINDCO = 0 
  INTEGER, PARAMETER :: ind_C85CO3H = 0 
  INTEGER, PARAMETER :: ind_NOPINDO2 = 0 
  INTEGER, PARAMETER :: ind_C89CO3 = 0 
  INTEGER, PARAMETER :: ind_C811CO3 = 0 
  INTEGER, PARAMETER :: ind_NOPINONE = 0 
  INTEGER, PARAMETER :: ind_NOPINOO = 0 
  INTEGER, PARAMETER :: ind_NORPINAL = 0 
  INTEGER, PARAMETER :: ind_NORPINENOL = 0 
  INTEGER, PARAMETER :: ind_C89CO2H = 0 
  INTEGER, PARAMETER :: ind_NOPINDOOH = 0 
  INTEGER, PARAMETER :: ind_RO6R3P = 0 
  INTEGER, PARAMETER :: ind_C89CO3H = 0 
  INTEGER, PARAMETER :: ind_PINIC = 0 
  INTEGER, PARAMETER :: ind_C811CO3H = 0 
  INTEGER, PARAMETER :: ind_C96O2 = 0 
  INTEGER, PARAMETER :: ind_C97O2 = 0 
  INTEGER, PARAMETER :: ind_C98O2 = 0 
  INTEGER, PARAMETER :: ind_C96OOH = 0 
  INTEGER, PARAMETER :: ind_C97OOH = 0 
  INTEGER, PARAMETER :: ind_C98OOH = 0 
  INTEGER, PARAMETER :: ind_C89PAN = 0 
  INTEGER, PARAMETER :: ind_C9PAN2 = 0 
  INTEGER, PARAMETER :: ind_C811PAN = 0 
  INTEGER, PARAMETER :: ind_C96NO3 = 0 
  INTEGER, PARAMETER :: ind_LTMB = 0 
  INTEGER, PARAMETER :: ind_C109CO = 0 
  INTEGER, PARAMETER :: ind_PINALO2 = 0 
  INTEGER, PARAMETER :: ind_PINALOOH = 0 
  INTEGER, PARAMETER :: ind_C109O2 = 0 
  INTEGER, PARAMETER :: ind_C96CO3 = 0 
  INTEGER, PARAMETER :: ind_C106O2 = 0 
  INTEGER, PARAMETER :: ind_APINENE = 0 
  INTEGER, PARAMETER :: ind_BPINENE = 0 
  INTEGER, PARAMETER :: ind_CARENE = 0 
  INTEGER, PARAMETER :: ind_SABINENE = 0 
  INTEGER, PARAMETER :: ind_CAMPHENE = 0 
  INTEGER, PARAMETER :: ind_PINAL = 0 
  INTEGER, PARAMETER :: ind_PINENOL = 0 
  INTEGER, PARAMETER :: ind_APINAOO = 0 
  INTEGER, PARAMETER :: ind_APINBOO = 0 
  INTEGER, PARAMETER :: ind_MENTHEN6ONE = 0 
  INTEGER, PARAMETER :: ind_PINONIC = 0 
  INTEGER, PARAMETER :: ind_C109OOH = 0 
  INTEGER, PARAMETER :: ind_PERPINONIC = 0 
  INTEGER, PARAMETER :: ind_C106OOH = 0 
  INTEGER, PARAMETER :: ind_BPINAO2 = 0 
  INTEGER, PARAMETER :: ind_OH2MENTHEN6ONE = 0 
  INTEGER, PARAMETER :: ind_RO6R1O2 = 0 
  INTEGER, PARAMETER :: ind_ROO6R1O2 = 0 
  INTEGER, PARAMETER :: ind_RO6R3O2 = 0 
  INTEGER, PARAMETER :: ind_OHMENTHEN6ONEO2 = 0 
  INTEGER, PARAMETER :: ind_BPINAOOH = 0 
  INTEGER, PARAMETER :: ind_RO6R3OOH = 0 
  INTEGER, PARAMETER :: ind_PINALNO3 = 0 
  INTEGER, PARAMETER :: ind_C10PAN2 = 0 
  INTEGER, PARAMETER :: ind_C106NO3 = 0 
  INTEGER, PARAMETER :: ind_BPINANO3 = 0 
  INTEGER, PARAMETER :: ind_RO6R1NO3 = 0 
  INTEGER, PARAMETER :: ind_RO6R3NO3 = 0 
  INTEGER, PARAMETER :: ind_ROO6R1NO3 = 0 
  INTEGER, PARAMETER :: ind_LAPINABO2 = 0 
  INTEGER, PARAMETER :: ind_LAPINABOOH = 0 
  INTEGER, PARAMETER :: ind_LNAPINABO2 = 0 
  INTEGER, PARAMETER :: ind_LNBPINABO2 = 0 
  INTEGER, PARAMETER :: ind_LAPINABNO3 = 0 
  INTEGER, PARAMETER :: ind_LNAPINABOOH = 0 
  INTEGER, PARAMETER :: ind_LNBPINABOOH = 0 
  INTEGER, PARAMETER :: ind_LHAROM = 0 
  INTEGER, PARAMETER :: ind_LFLUORINE = 0 
  INTEGER, PARAMETER :: ind_CHF3 = 0 
  INTEGER, PARAMETER :: ind_CHF2CF3 = 0 
  INTEGER, PARAMETER :: ind_CH3CF3 = 0 
  INTEGER, PARAMETER :: ind_CH2F2 = 0 
  INTEGER, PARAMETER :: ind_CH3CHF2 = 0 
  INTEGER, PARAMETER :: ind_CCl4 = 0 
  INTEGER, PARAMETER :: ind_CH3Cl = 0 
  INTEGER, PARAMETER :: ind_CH3CCl3 = 0 
  INTEGER, PARAMETER :: ind_CF2Cl2 = 0 
  INTEGER, PARAMETER :: ind_CFCl3 = 0 
  INTEGER, PARAMETER :: ind_CHF2Cl = 0 
  INTEGER, PARAMETER :: ind_CH2FCF3 = 0 
  INTEGER, PARAMETER :: ind_CF2ClCFCl2 = 0 
  INTEGER, PARAMETER :: ind_CH2Cl2 = 0 
  INTEGER, PARAMETER :: ind_CH3CFCl2 = 0 
  INTEGER, PARAMETER :: ind_CF2ClCF2Cl = 0 
  INTEGER, PARAMETER :: ind_CHCl3 = 0 
  INTEGER, PARAMETER :: ind_CF3CF2Cl = 0 
  INTEGER, PARAMETER :: ind_CF3Br = 0 
  INTEGER, PARAMETER :: ind_CF2ClBr = 0 
  INTEGER, PARAMETER :: ind_LBROMINE = 0 
  INTEGER, PARAMETER :: ind_I2O2 = 0 
  INTEGER, PARAMETER :: ind_C3H7I = 0 
  INTEGER, PARAMETER :: ind_S = 0 
  INTEGER, PARAMETER :: ind_SO = 0 
  INTEGER, PARAMETER :: ind_SO3 = 0 
  INTEGER, PARAMETER :: ind_SH = 0 
  INTEGER, PARAMETER :: ind_DMS = 0 
  INTEGER, PARAMETER :: ind_DMSO = 0 
  INTEGER, PARAMETER :: ind_OCS = 0 
  INTEGER, PARAMETER :: ind_SF6 = 0 
  INTEGER, PARAMETER :: ind_LSULFUR = 0 
  INTEGER, PARAMETER :: ind_Hg = 0 
  INTEGER, PARAMETER :: ind_HgO = 0 
  INTEGER, PARAMETER :: ind_HgCl = 0 
  INTEGER, PARAMETER :: ind_HgCl2 = 0 
  INTEGER, PARAMETER :: ind_HgBr = 0 
  INTEGER, PARAMETER :: ind_HgBr2 = 0 
  INTEGER, PARAMETER :: ind_ClHgBr = 0 
  INTEGER, PARAMETER :: ind_BrHgOBr = 0 
  INTEGER, PARAMETER :: ind_ClHgOBr = 0 
  INTEGER, PARAMETER :: ind_NO3m_cs = 0 
  INTEGER, PARAMETER :: ind_Hp_cs = 0 
  INTEGER, PARAMETER :: ind_RGM_cs = 0 
  INTEGER, PARAMETER :: ind_Dummy = 0 
  INTEGER, PARAMETER :: ind_O3s = 0 
  INTEGER, PARAMETER :: ind_LO3s = 0 
  INTEGER, PARAMETER :: ind_LHOC3H6O2 = 0 
  INTEGER, PARAMETER :: ind_LHOC3H6OOH = 0 
  INTEGER, PARAMETER :: ind_ISO2 = 0 
  INTEGER, PARAMETER :: ind_ISON = 0 
  INTEGER, PARAMETER :: ind_ISOOH = 0 
  INTEGER, PARAMETER :: ind_MVKO2 = 0 
  INTEGER, PARAMETER :: ind_MVKOOH = 0 
  INTEGER, PARAMETER :: ind_NACA = 0 
  INTEGER, PARAMETER :: ind_Op = 0 
  INTEGER, PARAMETER :: ind_O2p = 0 
  INTEGER, PARAMETER :: ind_Np = 0 
  INTEGER, PARAMETER :: ind_N2p = 0 
  INTEGER, PARAMETER :: ind_NOp = 0 
  INTEGER, PARAMETER :: ind_em = 0 
  INTEGER, PARAMETER :: ind_kJmol = 0 
  INTEGER, PARAMETER :: ind_CFCl3_c = 0 
  INTEGER, PARAMETER :: ind_CF2Cl2_c = 0 
  INTEGER, PARAMETER :: ind_N2O_c = 0 
  INTEGER, PARAMETER :: ind_CH3CCl3_c = 0 
  INTEGER, PARAMETER :: ind_CF2ClBr_c = 0 
  INTEGER, PARAMETER :: ind_CF3Br_c = 0 
  INTEGER, PARAMETER :: ind_LTERP = 0 
  INTEGER, PARAMETER :: ind_LALK4 = 0 
  INTEGER, PARAMETER :: ind_LALK5 = 0 
  INTEGER, PARAMETER :: ind_LARO1 = 0 
  INTEGER, PARAMETER :: ind_LARO2 = 0 
  INTEGER, PARAMETER :: ind_LOLE1 = 0 
  INTEGER, PARAMETER :: ind_LOLE2 = 0 
  INTEGER, PARAMETER :: ind_LfPOG02 = 0 
  INTEGER, PARAMETER :: ind_LfPOG03 = 0 
  INTEGER, PARAMETER :: ind_LfPOG04 = 0 
  INTEGER, PARAMETER :: ind_LfPOG05 = 0 
  INTEGER, PARAMETER :: ind_LbbPOG02 = 0 
  INTEGER, PARAMETER :: ind_LbbPOG03 = 0 
  INTEGER, PARAMETER :: ind_LbbPOG04 = 0 
  INTEGER, PARAMETER :: ind_LfSOGsv01 = 0 
  INTEGER, PARAMETER :: ind_LfSOGsv02 = 0 
  INTEGER, PARAMETER :: ind_LbbSOGsv01 = 0 
  INTEGER, PARAMETER :: ind_LbbSOGsv02 = 0 
  INTEGER, PARAMETER :: ind_LfSOGiv01 = 0 
  INTEGER, PARAMETER :: ind_LfSOGiv02 = 0 
  INTEGER, PARAMETER :: ind_LfSOGiv03 = 0 
  INTEGER, PARAMETER :: ind_LfSOGiv04 = 0 
  INTEGER, PARAMETER :: ind_LbbSOGiv01 = 0 
  INTEGER, PARAMETER :: ind_LbbSOGiv02 = 0 
  INTEGER, PARAMETER :: ind_LbbSOGiv03 = 0 
  INTEGER, PARAMETER :: ind_LbSOGv01 = 0 
  INTEGER, PARAMETER :: ind_LbSOGv02 = 0 
  INTEGER, PARAMETER :: ind_LbSOGv03 = 0 
  INTEGER, PARAMETER :: ind_LbSOGv04 = 0 
  INTEGER, PARAMETER :: ind_LbOSOGv01 = 0 
  INTEGER, PARAMETER :: ind_LbOSOGv02 = 0 
  INTEGER, PARAMETER :: ind_LbOSOGv03 = 0 
  INTEGER, PARAMETER :: ind_LaSOGv01 = 0 
  INTEGER, PARAMETER :: ind_LaSOGv02 = 0 
  INTEGER, PARAMETER :: ind_LaSOGv03 = 0 
  INTEGER, PARAMETER :: ind_LaSOGv04 = 0 
  INTEGER, PARAMETER :: ind_LaOSOGv01 = 0 
  INTEGER, PARAMETER :: ind_LaOSOGv02 = 0 
  INTEGER, PARAMETER :: ind_LaOSOGv03 = 0 
  INTEGER, PARAMETER :: ind_ACBZO2 = 0 
  INTEGER, PARAMETER :: ind_ALKNO3 = 0 
  INTEGER, PARAMETER :: ind_ALKO2 = 0 
  INTEGER, PARAMETER :: ind_ALKOH = 0 
  INTEGER, PARAMETER :: ind_ALKOOH = 0 
  INTEGER, PARAMETER :: ind_BCARY = 0 
  INTEGER, PARAMETER :: ind_BENZO2 = 0 
  INTEGER, PARAMETER :: ind_BENZOOH = 0 
  INTEGER, PARAMETER :: ind_BEPOMUC = 0 
  INTEGER, PARAMETER :: ind_BIGALD1 = 0 
  INTEGER, PARAMETER :: ind_BIGALD2 = 0 
  INTEGER, PARAMETER :: ind_BIGALD3 = 0 
  INTEGER, PARAMETER :: ind_BIGALD4 = 0 
  INTEGER, PARAMETER :: ind_BIGALKANE = 0 
  INTEGER, PARAMETER :: ind_BIGENE = 0 
  INTEGER, PARAMETER :: ind_BrONO = 0 
  INTEGER, PARAMETER :: ind_BZALD = 0 
  INTEGER, PARAMETER :: ind_BZOO = 0 
  INTEGER, PARAMETER :: ind_BZOOH = 0 
  INTEGER, PARAMETER :: ind_C3H7O2 = 0 
  INTEGER, PARAMETER :: ind_C3H7OOH = 0 
  INTEGER, PARAMETER :: ind_CFC113 = 0 
  INTEGER, PARAMETER :: ind_CFC114 = 0 
  INTEGER, PARAMETER :: ind_CFC115 = 0 
  INTEGER, PARAMETER :: ind_COF2 = 0 
  INTEGER, PARAMETER :: ind_COFCL = 0 
  INTEGER, PARAMETER :: ind_DICARBO2 = 0 
  INTEGER, PARAMETER :: ind_ELVOC = 0 
  INTEGER, PARAMETER :: ind_ENEO2 = 0 
  INTEGER, PARAMETER :: ind_EOOH = 0 
  INTEGER, PARAMETER :: ind_F = 0 
  INTEGER, PARAMETER :: ind_H1202 = 0 
  INTEGER, PARAMETER :: ind_H2402 = 0 
  INTEGER, PARAMETER :: ind_HCFC141B = 0 
  INTEGER, PARAMETER :: ind_HCFC142B = 0 
  INTEGER, PARAMETER :: ind_HCFC22 = 0 
  INTEGER, PARAMETER :: ind_HF = 0 
  INTEGER, PARAMETER :: ind_HOCH2OO = 0 
  INTEGER, PARAMETER :: ind_HPALD = 0 
  INTEGER, PARAMETER :: ind_IEC1O2 = 0 
  INTEGER, PARAMETER :: ind_LIECHO = 0 
  INTEGER, PARAMETER :: ind_LIECO3 = 0 
  INTEGER, PARAMETER :: ind_LIECO3H = 0 
  INTEGER, PARAMETER :: ind_LIMON = 0 
  INTEGER, PARAMETER :: ind_LISOPNO3NO3 = 0 
  INTEGER, PARAMETER :: ind_LISOPNO3O2 = 0 
  INTEGER, PARAMETER :: ind_LISOPNO3OOH = 0 
  INTEGER, PARAMETER :: ind_LISOPOOHO2 = 0 
  INTEGER, PARAMETER :: ind_LISOPOOHOOH = 0 
  INTEGER, PARAMETER :: ind_MALO2 = 0 
  INTEGER, PARAMETER :: ind_MBONO3O2 = 0 
  INTEGER, PARAMETER :: ind_MBOO2 = 0 
  INTEGER, PARAMETER :: ind_MBOOOH = 0 
  INTEGER, PARAMETER :: ind_MDIALO2 = 0 
  INTEGER, PARAMETER :: ind_MEKNO3 = 0 
  INTEGER, PARAMETER :: ind_MVKN = 0 
  INTEGER, PARAMETER :: ind_MYRC = 0 
  INTEGER, PARAMETER :: ind_NTERPNO3 = 0 
  INTEGER, PARAMETER :: ind_NTERPO2 = 0 
  INTEGER, PARAMETER :: ind_PACALD = 0 
  INTEGER, PARAMETER :: ind_PBZNIT = 0 
  INTEGER, PARAMETER :: ind_TEPOMUC = 0 
  INTEGER, PARAMETER :: ind_TERP2O2 = 0 
  INTEGER, PARAMETER :: ind_TERP2OOH = 0 
  INTEGER, PARAMETER :: ind_TERPNO3 = 0 
  INTEGER, PARAMETER :: ind_TERPO2 = 0 
  INTEGER, PARAMETER :: ind_TERPOOH = 0 
  INTEGER, PARAMETER :: ind_TERPROD1 = 0 
  INTEGER, PARAMETER :: ind_TERPROD2 = 0 
  INTEGER, PARAMETER :: ind_TOLO2 = 0 
  INTEGER, PARAMETER :: ind_TOLOOH = 0 
  INTEGER, PARAMETER :: ind_XYLENO2 = 0 
  INTEGER, PARAMETER :: ind_XYLENOOH = 0 
  INTEGER, PARAMETER :: ind_XYLOL = 0 
  INTEGER, PARAMETER :: ind_XYLOLO2 = 0 
  INTEGER, PARAMETER :: ind_XYLOLOOH = 0 
  INTEGER, PARAMETER :: ind_PRODUCTS = 0 
  INTEGER, PARAMETER :: ind_M = 0 
  INTEGER, PARAMETER :: ind_O2_a01 = 0 
  INTEGER, PARAMETER :: ind_OH_a01 = 0 
  INTEGER, PARAMETER :: ind_HO2_a01 = 0 
  INTEGER, PARAMETER :: ind_NO_a01 = 0 
  INTEGER, PARAMETER :: ind_NO2_a01 = 0 
  INTEGER, PARAMETER :: ind_NO3_a01 = 0 
  INTEGER, PARAMETER :: ind_HONO_a01 = 0 
  INTEGER, PARAMETER :: ind_HNO4_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3OH_a01 = 0 
  INTEGER, PARAMETER :: ind_HCOOH_a01 = 0 
  INTEGER, PARAMETER :: ind_HCHO_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3O2_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3OOH_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3CO2H_a01 = 0 
  INTEGER, PARAMETER :: ind_PAN_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3CHO_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3COCH3_a01 = 0 
  INTEGER, PARAMETER :: ind_Cl_a01 = 0 
  INTEGER, PARAMETER :: ind_Br_a01 = 0 
  INTEGER, PARAMETER :: ind_DMS_a01 = 0 
  INTEGER, PARAMETER :: ind_DMSO_a01 = 0 
  INTEGER, PARAMETER :: ind_Hg_a01 = 0 
  INTEGER, PARAMETER :: ind_HgO_a01 = 0 
  INTEGER, PARAMETER :: ind_HgOHOH_a01 = 0 
  INTEGER, PARAMETER :: ind_HgOHCl_a01 = 0 
  INTEGER, PARAMETER :: ind_HgCl2_a01 = 0 
  INTEGER, PARAMETER :: ind_HgBr2_a01 = 0 
  INTEGER, PARAMETER :: ind_HgSO3_a01 = 0 
  INTEGER, PARAMETER :: ind_ClHgBr_a01 = 0 
  INTEGER, PARAMETER :: ind_BrHgOBr_a01 = 0 
  INTEGER, PARAMETER :: ind_ClHgOBr_a01 = 0 
  INTEGER, PARAMETER :: ind_O2m_a01 = 0 
  INTEGER, PARAMETER :: ind_NO2m_a01 = 0 
  INTEGER, PARAMETER :: ind_NO4m_a01 = 0 
  INTEGER, PARAMETER :: ind_CO3m_a01 = 0 
  INTEGER, PARAMETER :: ind_HCOOm_a01 = 0 
  INTEGER, PARAMETER :: ind_CH3COOm_a01 = 0 
  INTEGER, PARAMETER :: ind_Cl2m_a01 = 0 
  INTEGER, PARAMETER :: ind_ClOm_a01 = 0 
  INTEGER, PARAMETER :: ind_ClOHm_a01 = 0 
  INTEGER, PARAMETER :: ind_Br2m_a01 = 0 
  INTEGER, PARAMETER :: ind_BrOm_a01 = 0 
  INTEGER, PARAMETER :: ind_BrOHm_a01 = 0 
  INTEGER, PARAMETER :: ind_SO3m_a01 = 0 
  INTEGER, PARAMETER :: ind_SO4m_a01 = 0 
  INTEGER, PARAMETER :: ind_SO5m_a01 = 0 
  INTEGER, PARAMETER :: ind_HSO5m_a01 = 0 
  INTEGER, PARAMETER :: ind_CH2OHSO3m_a01 = 0 
  INTEGER, PARAMETER :: ind_Hgp_a01 = 0 
  INTEGER, PARAMETER :: ind_Hgpp_a01 = 0 
  INTEGER, PARAMETER :: ind_HgOHp_a01 = 0 
  INTEGER, PARAMETER :: ind_HgClp_a01 = 0 
  INTEGER, PARAMETER :: ind_HgBrp_a01 = 0 
  INTEGER, PARAMETER :: ind_HgSO32mm_a01 = 0 

! Index declaration for fixed species in FIX
!    FIX(indf_spc) = C(ind_spc) = C(NVAR+indf_spc)

  INTEGER, PARAMETER :: indf_O2 = 1 
  INTEGER, PARAMETER :: indf_N2 = 2 
  INTEGER, PARAMETER :: indf_CO2 = 3 
  INTEGER, PARAMETER :: indf_H2O_a01 = 4 

END MODULE messy_mecca_kpp_Parameters

